<!DOCTYPE html>
<html>

<body>

  <p>paste mega embed code</p>

  <input type="text" value="" id="myInput">
  <button onclick="myFunction()">Copy text</button>

  <script>
    let url = "temp";
    function shorten(link) {
      return link.substring(54, 128);
    }
    function myFunction() {
      // Get the text field
      var copyText = document.getElementById("myInput");
      // Select the text field
      copyText.select();
      copyText.setSelectionRange(0, 99999); // For mobile devices
      url = shorten(copyText.value);

      // Copy the text inside the text field
      navigator.clipboard.writeText(url);

      // Alert the copied text
      alert("Copied the text: " + url);
    }
  </script>

</body>

</html>